Memory
Create or update a memory policy
PUT /v1/memory/policies · SDK upsertMemoryPolicy · CLI deployments memory-policy upsert
PUT
Requires memory:admin.
tenantJwtheader
AuthorizationBearer <token>Tenant JWT carrying organization, project, and environment claims.
x-deployments-environment?stringOptional tenant consistency assertion; when supplied, it must match the authenticated credential.
Match
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-organization?stringOptional tenant consistency assertion; when supplied, it must match the authenticated credential.
Match
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-project?stringOptional tenant consistency assertion; when supplied, it must match the authenticated credential.
Match
^[0-7][0-9A-HJKMNP-TV-Z]{25}$idempotency-key?stringLimited to 500 UTF-8 bytes.
Length
1 <= length <= 500application/json- body
activeRecallEnabled?booleanactiveRecallRolloutPercent?numberRange
0 <= value <= 100id?stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$processingConfig?retentionDays?integerRange
1 <= value <= 3650scope?stringValue in
"environment""organization""workspace"sensitivityMode?stringValue in
"restricted""standard""strict"workspaceId?stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$MemoryObjectResponse
application/json- response
curl -X PUT "https://example.com/v1/memory/policies" \ -H "Content-Type: application/json" \ -d '{}'{}